Get user details
GET
https://app.speybooks.com/api/v1/admin/users/{id}Retrieve full details of a single user including organisation membership, subscription status, suspension state (v2.6.0), and the 20 most recent audit log entries for that user.
Returns 404 if the user ID does not exist.
Path parameters
id string requiredUser ID.
Response
200 Full user profile with suspension status, organisation, and last 20 audit log entries.
Show response fields
organisation objectShow child attributes
id stringname stringplan stringsubscriptionStatus stringrecentActivity array<object>Show child attributes
action stringcreated_at string date-timedetails objectuser objectShow child attributes
createdAt string date-timeemail stringfailedAttempts integerfullName stringid integerisActive booleanisAdmin booleanlastLogin string date-timelockedUntil string nullablesuspendedAt string nullablesuspendedPermanent booleansuspendedReason string nullabletotpEnabled booleantotpVerified booleanupdatedAt string date-timeError codes
404 User not found.